net.sf.okapi.lib.xliff2.changeTracking

## Class Item

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.DataWithExtAttributes
  - - net.sf.okapi.lib.xliff2.changeTracking.Item

- All Implemented Interfaces:
    IWithExtAttributes

      public class Item
      extends DataWithExtAttributes
      implements IWithExtAttributes

  Represents the `<item>` element of the Chang e Tracking module.
  Author:
    Marta Borriello

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_ATTR_NAME` `property` attribute name.
    `static java.lang.String` | `PROPERTY_CONTENT_VALUE` `content` value for `property` attribute.
    `static java.lang.String` | `TAG_NAME` The tag element name constant.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Item()` Creates a new `Item` object.
    `Item(Item original)` Copy constructor
    `Item(java.lang.String property)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAttributesString()` Gets the attributes string.
    `java.lang.String` | `getClosingTag()` Gets the complete `item` closing tag.
    `java.lang.String` | `getOpeningTagName()` Gets the opening `item` tag name.
    `java.lang.String` | `getProperty()` Gets the value of the property attribute.
    `java.lang.String` | `getText()` Gets the contained text.
    `void` | `setProperty(java.lang.String property)` Sets the value of the property attribute.
    `void` | `setText(java.lang.String text)` Sets the contained text.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.core.DataWithExtAttributes

      `getExtAttributes, getExtAttributeValue, hasExtAttribute, setExtAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.okapi.lib.xliff2.core.IWithExtAttributes

      `getExtAttributes, getExtAttributeValue, hasExtAttribute, setExtAttributes`

- - ### Field Detail

    - #### TAG_NAME

          public static final java.lang.String TAG_NAME

      The tag element name constant.
      See Also:
        Constant Field Values

    - #### PROPERTY_CONTENT_VALUE

          public static final java.lang.String PROPERTY_CONTENT_VALUE

      `content` value for `property` attribute.
      See Also:
        Constant Field Values

    - #### PROPERTY_ATTR_NAME

          public static final java.lang.String PROPERTY_ATTR_NAME

      `property` attribute name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Item

          public Item()

      Creates a new `Item` object.

    - #### Item

          public Item(Item original)

      Copy constructor
      Parameters:
        `original` - the original object to duplicate.

    - #### Item

          public Item(java.lang.String property)

      Constructor.
      Parameters:
        `property` - the value for the REQUIRED attribute `property`.
      See Also:
        `setProperty(String)`

  - ### Method Detail

    - #### setText

          public void setText(java.lang.String text)

      Sets the contained text.
      Parameters:
        `text` - the contained text.

    - #### getText

          public java.lang.String getText()

      Gets the contained text.
      Returns:
        the contained text.

    - #### setProperty

          public final void setProperty(java.lang.String property)

      Sets the value of the property attribute. The value MUST be either `content` to signify the content of an element, or the name of the attribute relating to the revision data. If either a `null` or an empty string is provided, an `IllegalArgumentException` is thrown.
      Parameters:
        `property` - the value of the property attribute.

    - #### getProperty

          public java.lang.String getProperty()

      Gets the value of the property attribute.
      Returns:
        the value of the property attribute.

    - #### getAttributesString

          public java.lang.String getAttributesString()

      Gets the attributes string.
      Returns:
        the attributes string.

    - #### getOpeningTagName

          public java.lang.String getOpeningTagName()

      Gets the opening `item` tag name.
      Returns:
        the opening `item` tag name.

    - #### getClosingTag

          public java.lang.String getClosingTag()

      Gets the complete `item` closing tag.
      Returns:
        the complete `item` closing tag.